missing dependency: mkfontdir ?

toorski

Member

Reaction score: 11
Messages: 59

I can't figure out what causes this message in pkg. It happens only when I'm installing or upgrading GUI binaries :confused:

FreeBSD fb113 11.3-RELEASE FreeBSD 11.3-RELEASE #0 r349754: Fri Jul 5 04:45:24 UTC 2019 root@releng2.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC amd64

Code:
pkg upgrade libreoffice

Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
pkg: font-xfree86-type1 has a missing dependency: mkfontdir
pkg: font-ibm-type1 has a missing dependency: mkfontdir
pkg: font-bitstream-type1 has a missing dependency: mkfontdir
pkg: font-bh-type1 has a missing dependency: mkfontdir
pkg: font-adobe-utopia-type1 has a missing dependency: mkfontdir
pkg: qterminal has a missing dependency: qterminal-l10n
pkg: gimp-app has a missing dependency: webkit-gtk2
pkg: font-misc-misc has a missing dependency: mkfontdir
pkg: font-adobe-100dpi has a missing dependency: mkfontdir
pkg: handbrake has a missing dependency: lame
pkg: font-adobe-utopia-100dpi has a missing dependency: mkfontdir
pkg: font-bh-100dpi has a missing dependency: mkfontdir
pkg: font-bh-lucidatypewriter-100dpi has a missing dependency: mkfontdir
pkg: font-bitstream-100dpi has a missing dependency: mkfontdir
pkg: font-adobe-75dpi has a missing dependency: mkfontdir
pkg: font-adobe-utopia-75dpi has a missing dependency: mkfontdir
pkg: font-bh-75dpi has a missing dependency: mkfontdir
pkg: font-bh-lucidatypewriter-75dpi has a missing dependency: mkfontdir
pkg: font-bitstream-75dpi has a missing dependency: mkfontdir
pkg: font-cronyx-cyrillic has a missing dependency: mkfontdir
pkg: font-misc-cyrillic has a missing dependency: mkfontdir
pkg: font-screen-cyrillic has a missing dependency: mkfontdir
pkg: font-winitzki-cyrillic has a missing dependency: mkfontdir
pkg: font-arabic-misc has a missing dependency: mkfontdir
pkg: font-cursor-misc has a missing dependency: mkfontdir
pkg: font-daewoo-misc has a missing dependency: mkfontdir
pkg: font-dec-misc has a missing dependency: mkfontdir
pkg: font-isas-misc has a missing dependency: mkfontdir
pkg: font-jis-misc has a missing dependency: mkfontdir
pkg: font-micro-misc has a missing dependency: mkfontdir
pkg: font-mutt-misc has a missing dependency: mkfontdir
pkg: font-schumacher-misc has a missing dependency: mkfontdir
pkg: font-sony-misc has a missing dependency: mkfontdir
pkg: font-sun-misc has a missing dependency: mkfontdir
pkg: xorg-apps has a missing dependency: mkfontdir
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 7,565
Messages: 30,285

Don't upgrade single packages, upgrade everything.
 
OP
OP
toorski

toorski

Member

Reaction score: 11
Messages: 59

Don't upgrade single packages, upgrade everything.
I did pkg upgrade, right after I did successful freebsd-update upgrade -r 11.3-RELEASE and reboot.
Then, my libreoffice would not start, so I did pkg upgrade libreoffice which worked.
I've notice that under 11.2 too, when I did pkg upgrade not all of the packages were upgraded, I don't know why :confused:
But, all seem fine after I upgrade individual apps that were not upgraded with pkg upgrade.

Edit:
pkg check -B shows dependencies issues, but I don't know why pkg upgrade can't deal with it.

Code:
pkg check -B
Checking all packages:   9%
(filezilla-3.40.0_1) /usr/local/bin/filezilla - required shared library libidn.so.11 not found
Checking all packages:  19%
(gimp-app-2.8.22_1,1) /usr/local/bin/gimp-2.8 - required shared library libgegl-0.2.so.0 not found
(gimp-app-2.8.22_1,1) /usr/local/libexec/gimp/2.2/plug-ins/help-browser - required shared library libwebkitgtk-1.0.so.0 not found
(gimp-app-2.8.22_1,1) /usr/local/libexec/gimp/2.2/plug-ins/help-browser - required shared library libjavascriptcoregtk-1.0.so.0 not found
(gimp-app-2.8.22_1,1) /usr/local/libexec/gimp/2.2/plug-ins/web-page - required shared library libwebkitgtk-1.0.so.0 not found
(gimp-app-2.8.22_1,1) /usr/local/libexec/gimp/2.2/plug-ins/web-page - required shared library libjavascriptcoregtk-1.0.so.0 not found
Checking all packages:  26%
(handbrake-1.2.2_1) /usr/local/bin/HandBrakeCLI - required shared library libmp3lame.so.0 not found
(handbrake-1.2.2_1) /usr/local/bin/ghb - required shared library libmp3lame.so.0 not found
Checking all packages: 100%
In this case only pkg upgrade filezilla worked , but gimp and handbrake didn't due to missing dependencies.
Code:
gimp
Shared object "libgegl-0.2.so.0" not found, required by "gimp"
ghb
Shared object "libmp3lame.so.0" not found, required by "ghb"
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 7,565
Messages: 30,285

Something clearly went wrong as you have several different missing dependencies. Did you perhaps use pkg-lock(8) on one or more packages?
 
OP
OP
toorski

toorski

Member

Reaction score: 11
Messages: 59

Something clearly went wrong as you have several different missing dependencies. Did you perhaps use pkg-lock(8) on one or more packages?
Nope

And this is the end result when when I tried to make handbrake
Code:
make[4]: stopped in /usr/ports/devel/cmake/work/cmake-3.14.5
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[3]: stopped in /usr/ports/devel/cmake
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/devel/cmake
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/multimedia/handbrake
*** Error code 1

Stop.
make: stopped in /usr/ports/multimedia/handbrake
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 7,565
Messages: 30,285

It's a bit like trying to shoot a mosquito with a cannon but try forcing a reinstall of everything: pkg upgrade -f
 
OP
OP
toorski

toorski

Member

Reaction score: 11
Messages: 59

I fixed the mkfontdir issue in 11.3. Although, I cannot do much about gimp and handbrake issues in my 11.3 , tho I wont miss'em. I got gimp installed and working somewhere else ;)
uname -r
12.0-RELEASE-p7
gimp -v
GNU Image Manipulation Program version 2.10.10
git-describe: GIMP_2_10_8-775-g596f855749
C compiler:
FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1)
Target: x86_64-unknown-freebsd12.0
Thread model: posix
InstalledDir: /usr/bin

using GEGL version 0.4.14 (compiled against version 0.4.14)
using GLib version 2.56.3 (compiled against version 2.56.3)
using GdkPixbuf version 2.36.12 (compiled against version 2.36.12)
using GTK+ version 2.24.32 (compiled against version 2.24.32)
using Pango version 1.42.3 (compiled against version 1.42.3)
using Fontconfig version 2.12.6 (compiled against version 2.12.6)
using Cairo version 1.16.0 (compiled against version 1.16.0)

 
Top